# 项目相关配置
gyee:
  #名称
  name: v1
  #版本
  version: 1.0
  #版权年份
  copyrightYear: 2018
  #头像上传路径
  profile: D:/profile/
  #地址是否放入项目static目录，如果未Y 放入static。 profile配置失效
  isstatic: Y
  #开启存放静态文件夹后目录
  isroot_dir: static/images_upload/
  #邮件功能
  #邮箱发送smtp
  email_smtp: smtp.sina.com
  #邮箱发送端口
  email_port: 465
  #发送邮箱登录账号
  email_account: 1@sina.com
  #发送邮箱登录密码
  email_password: 1
  #实例演示开关 启动该模式删除增加修改会弹出演示模式提示框
  demoEnabled: false
  #漂亮得拖动验证码 默认false普通验证码、true滚动验证码
  rollVerification: true
  #实时数据库
  realtimedataBase: mongodb
#tomcat websocket
server :
  port : 8082
  ##项目名字配置
  #servlet : 
  #  context-path : /demo
  tomcat :
    max-threads : 128
    min-spare-threads : 5
    uri-encoding : UTF-8
    #shiro 报错修改的地方
    max-connections: 200000
    max-http-post-size: 9000000
spring :
  redis:
    host: 49.4.78.143
    port: 8083
  # 环境 dev|test|prod
  profiles :
    active : dev
  servlet:
    multipart:
      max-request-size: 100MB
      maxFileSize : 10MB
        #shiro 报错修改的地方
    max-connections: 200000
    max-http-post-size: 9000000
    # 服务模块
  devtools:
    restart:
      # 热部署开关
      enabled: true
  mvc:   #静态文件
    static-path-pattern : /static/**
  #模板引擎
  thymeleaf:
    model: HTML5
    prefix: classpath:/templates/
    suffix: .html
    #指定编码
    encoding: utf-8
    #禁用缓存 默认false
    cache: false
  jackson:
    time-zone: GMT+8
    date-format: yyyy-MM-dd HH:mm:ss

mongodb :
  mongodb_ip: 117.78.18.24
  mongodb_port: 29017
  mongodb_perHost: 200
  mongodb_threadsAllowed: 200
  mongodb_connectTimeout: 60000
  mongodb_maxWaitTime: 60000
  mongodb_socketTimeout: 60000

redis :
  redis_ss_ip: 117.78.18.24
  redis_ss_port: 6379
  redis_ls_ip: 117.78.18.24
  redis_ls_port: 6380
#mybatis:
#  #配置mapper的扫描，找到所有的mapper.xml映射文件
#  mapperLocations : classpath*:mybatis/*/*.xml
#  #mybatis提供三种sql执行器，分别是SIMPLE、REUSE、BATCH。
#  executor-type : reuse
#  #搜索指定包别名
#  typeAliasesPackage : com.*.model
#  #该配置项就是指将带有下划线的表字段映射为驼峰格式的实体类属性。
#  configuration :
#    map-underscore-to-camel-case : true
#pagehelper分页插件
pagehelper:
    helperDialect: mysql
    reasonable: true
    supportMethodsArguments: true
    params: count=countSql
#七牛云配置
oss:
  qiniu:
    #对应存储空间的访问域名
    domain: q0stnsal9.aaa.bbb.com
    #accessKey密钥
    accessKey: 5o-rVbYF111C
    #secretKey秘钥
    secretKey: C9TETPDFHDj38d
    #bucket是创建的存储空间名
    bucket: test-img

developmentprops: #自定义的属性和值
#  simpleProp: simplePropValue
#  arrayProps: 1,2,3,4,5
#  listProp1:
#  - name: abc
#    value: abcValue
#  - name: efg
#    value: efgValue
#  listProp2:
#  - config2Value1
#  - config2Vavlue2
  vuePrefixAddress: http://192.168.1.103:8080
  backstagePrefixAddress: http://192.168.1.103:8081
  mapProps:
    httpChinaMapSuffixAddress: /chinaMap
    httpweatherProphet_1SuffixAddress: /weatherProphet_1
    httpweatherProphet_7SuffixAddress: /weatherProphet_7
    httpweatherProphet_8_15SuffixAddress: /weatherProphet_8_15
    httpweatherProphet_40SuffixAddress: /weatherProphet_40